# API Documentation

- [Scripting metadata](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/scripting-metadata.md): This page goes over the metadata in the script file header.
- [Objects](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects.md): This page will go over the scripting objects.
- [FontRenderer](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/fontrenderer.md): This page goes over about the FontRnederer object.
- [Vector](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/vector.md): This page goes over about the Vector family of objects.
- [Vector3](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/vector/vector3.md)
- [Vector2](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/vector/vector2.md)
- [ItemStack](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/itemstack.md): This page goes over about the ItemStack object.
- [BlockPos](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/blockpos.md): This page goes over about the BlockPos object.
- [Block](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/block.md): This page goes over about the Block object.
- [Inventory](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/inventory.md): This page goes over about the Inventory object.
- [Command](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/command.md): This page goes over about the Command object.
- [Module](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/module.md): This page goes over about the Module object.
- [EntityLiving](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/entityliving.md): This page goes over about the EntityLiving object. This object is based on Entity object.
- [Entity](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/entity.md): This page goes over the Entity object.
- [Global namespaces](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces.md): This page and it's sub-pages will go over the Global Namespaces.
- [render](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/render.md): This page will go over the Render API namespace.
- [input](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/input.md): This page will go over the Input API namespace.
- [world](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/world.md): This page will go over the World API namespace.
- [rise](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/rise.md): This page will go over the Rise API namespace.
- [player](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/player.md): This page will go over the Player API namespace.
- [mc](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/mc.md): This page will go over the Minecraft API namespace.
- [network](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/network.md): This page will go over the networking API namespace.
- [packet](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/packet.md): This page will go over the Packet API namespace.
- [Events](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events.md): This page and it's sub-pages will go over the events and their parameters.
- [Load event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/load-event.md): This event gets executed upon the script being loaded.
- [Unload event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/unload-event.md): This event gets executed upon the script being unloaded.
- [Module events](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events.md): This page and it's sub-pages will go over the events that only modules handle, and their parameters.
- [Attack event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/attack-event.md): This page goes over the onAttack event.
- [World Change Event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/world-change-event.md): This page goes over the onWorldChange event.
- [Module Toggle Event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/module-toggle-event.md): This page goes over the onModuleToggle event.
- [Server Kick event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/server-kick-event.md): This page goes over the onServerKick event.
- [Game event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/game-event.md): This page goes over the Game event.
- [Chat input event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/chat-input-event.md): This page goes over the onChatInput event.
- [Click event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/click-event.md): This page goes over the onClick event.
- [Entity render event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/entity-render-event.md): This page goes over the onEntityRender event.
- [Hit slow down event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/hit-slow-down-event.md): This page goes over the onHitSlowDown event.
- [Jump event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/jump-event.md): This page goes over the onJump event.
- [Keyboard Input event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/keyboard-input-event.md): This page goes over the onKeyboardInput event.
- [Kill event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/kill-event.md): This page goes over the onKill event.
- [Move input event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/move-input-event.md): This page goes over the onMoveInput event.
- [Post motion event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/post-motion-event.md): This page goes over the onPostMotion event.
- [Pre motion event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/pre-motion-event.md): This page goes over the onPreMotion event.
- [Strafe event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/strafe-event.md): This page goes over the onStrafe event.
- [Pre update event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/pre-update-event.md): This page goes over the onPreUpdate event.
- [Render 2D event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/render-2d-event.md): This page goes over the onRender2D event.
- [Render 3D event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/render-3d-event.md): This page goes over the onRender3D event.
- [Water event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/water-event.md): This page goes over the onWater event.
- [Tick event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/tick-event.md): This page goes over the onTick event.
- [Slow down event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/module-events/slow-down-event.md): This page goes over the onSlowDown event.
- [onExecute event](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/events/onexecute-event.md): This page will go over the onExecute event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
